events.listen('recipes', function (e) {

/*Unification Honey*/
e.remove({ id: 'thermal:machine/centrifuge/centrifuge_honeycomb' })
e.remove({ id: 'thermal:machine/crucible/crucible_honey_block_to_honey' })
e.remove({ id: 'thermal:machine/bottler/bottler_honey_bottle' })
e.remove({ id: 'thermal:machine/chiller/chiller_honey_to_honey_block' })
e.remove({ id: 'create:mixing/honey' })
e.remove({ id: 'create:emptying/honey_bottle' })
e.remove({ id: 'createaddition:filling/honey_cake' })
//Honey
e.custom({"type": "thermal:crucible","ingredient": {"item": "minecraft:honey_block"},"result": [{"fluid": "resourcefulbees:honey","amount": 1000}],"energy": 2000})
e.custom({"type": "thermal:centrifuge","ingredient": {"item": "minecraft:honeycomb"},"result": [{"fluid": "resourcefulbees:honey","amount": 100}]})
e.custom({"type": "create:mixing","ingredients": [{"item": "minecraft:honey_block"}],"results": [{"fluid": "resourcefulbees:honey","amount": 1000}],"heatRequirement": "heated"})
e.custom({"type": "thermal:bottler","ingredients": [{"item": "minecraft:glass_bottle"},{"fluid": "resourcefulbees:honey","amount": 250}],"result": [{"item": "minecraft:honey_bottle"}]})
e.custom({"type": "thermal:chiller","ingredient": {"fluid": "resourcefulbees:honey","amount": 1000},"result": [{"item": "minecraft:honey_block"}],"energy": 2000})
e.custom({"type": "create:filling","ingredients": [{"item": "createaddition:cake_base_baked"},{"fluid": "resourcefulbees:honey","nbt": {},"amount": 500}],"results": [{"item": "createaddition:honey_cake"}]})
e.custom({"type": "create:emptying","ingredients": [{"item": "minecraft:honey_bottle"}],"results": [{"item": "minecraft:glass_bottle"},{"fluid": "resourcefulbees:honey","amount": 250}]})
tinkerCastingBasin("resourcefulbees:honey", 1000, "minecraft:honey_block", 40)
tinkerCasting("resourcefulbees:honey", 250, "minecraft:honey_bottle", "minecraft:glass_bottle", true, 20)

function tinkerCasting(input, qte, output, cast, consume, time) {
    e.custom({"type": "tconstruct:casting_table","cast": { "item": cast },"cast_consumed": consume,"fluid": { "name": input, "amount": qte },"result": output,"cooling_time": time})}
  function tinkerCastingBasin(input, qte, output, time) {
    e.custom({"type": "tconstruct:casting_basin","fluid": {"name": input,"amount": qte},"result": {"item": output},"cooling_time": time})}
  
  })